Mostrando postagens com marcador ruby. Mostrar todas as postagens
Mostrando postagens com marcador ruby. Mostrar todas as postagens

domingo, julho 18, 2010

Error installing ruby-debug

Last week I tried to install ruby-debug on my Ubuntu 9.10 and I got an error as you can see below:

andreyq@desenv-ubuntu-9:~$ sudo gem install ruby-debug
[sudo] password for andreyq:
Building native extensions.  This could take a while...
ERROR:  Error installing ruby-debug:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:1

Gem files will remain installed in /var/lib/gems/1.8/gems/linecache-0.43 for inspection.
Results logged to /var/lib/gems/1.8/gems/linecache-0.43/ext/gem_make.out
andreyq@desenv-ubuntu-9:~$

After some research I discovered that I needed to have
ruby1.8-dev
package installed in order to satisfy some dependencies.

I did it
sudo apt-get install ruby1.8-dev
and then I tried again to install ruby-debug on my system:

andreyq@desenv-ubuntu-9:~$ sudo gem install ruby-debug
Building native extensions.  This could take a while...
Building native extensions.  This could take a while...
Successfully installed linecache-0.43
Successfully installed ruby-debug-base-0.10.3
Successfully installed ruby-debug-0.10.3
3 gems installed
Installing ri documentation for linecache-0.43...
Installing ri documentation for ruby-debug-base-0.10.3...
Installing ri documentation for ruby-debug-0.10.3...
Installing RDoc documentation for linecache-0.43...
Installing RDoc documentation for ruby-debug-base-0.10.3...
Installing RDoc documentation for ruby-debug-0.10.3...
andreyq@desenv-ubuntu-9:~$

Great! It worked!

What is weird is that I thought that the
ruby1.8-dev
package would be required only for changes on ruby itself.

Erro na instalação do ruby-debug

Na semana passada eu tentei instalar o ruby-debug no meu Ubuntu 9.10 e obtive o erro mostrado abaixo:

andreyq@desenv-ubuntu-9:~$ sudo gem install ruby-debug
[sudo] password for andreyq:
Building native extensions.  This could take a while...
ERROR:  Error installing ruby-debug:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:1

Gem files will remain installed in /var/lib/gems/1.8/gems/linecache-0.43 for inspection.
Results logged to /var/lib/gems/1.8/gems/linecache-0.43/ext/gem_make.out
andreyq@desenv-ubuntu-9:~$

Depois de algumas pesquisas descobri que precisava ter o pacote
ruby1.8-dev
instalado para satisfazer algumas dependências.

Fiz a instalação do mesmo:

sudo apt-get install ruby1.8-dev

e tentei novamente instalar o ruby-debug:

andreyq@desenv-ubuntu-9:~$ sudo gem install ruby-debug
Building native extensions.  This could take a while...
Building native extensions.  This could take a while...
Successfully installed linecache-0.43
Successfully installed ruby-debug-base-0.10.3
Successfully installed ruby-debug-0.10.3
3 gems installed
Installing ri documentation for linecache-0.43...
Installing ri documentation for ruby-debug-base-0.10.3...
Installing ri documentation for ruby-debug-0.10.3...
Installing RDoc documentation for linecache-0.43...
Installing RDoc documentation for ruby-debug-base-0.10.3...
Installing RDoc documentation for ruby-debug-0.10.3...
andreyq@desenv-ubuntu-9:~$

Ótimo! Desta vez obtive sucesso.

O engraçado é que eu pensava que o pacote ruby1.8-dev só seria necessário se eu fosse alterar o próprio ruby.

quinta-feira, dezembro 27, 2007

Rails ou Django? E agora?

Estou desenvolvendo um site e agora estou na fase de modelagem do sistema.

Logo começarei a programar. Mas estou com uma dúvida: Django/Python ou Rails/Ruby?

Já li dezenas de posts comparando os dois frameworks e cada um tenta mostrar que o seu é o melhor.

Dependendo de quem escreve temos um resultado. Se é um fã do Rails, no fim da comparação, Rails se sai melhor. De modo semelhante, a comparação feita por um fã do Django sempre termina recomendando seu uso em detrimento do outro framework.

Acredito que as comparações são feitas da melhor maneira possível, sem a intenção de prejudicar a outra linguagem / framework analisado.

O que acontece é que quem analisa não conhece tão profundamente as outras linguagens / frameworks quanto conhece o seu. Daí, uma hora o Rails se sai melhor e na outra é o Python o vitorioso.

Seria interessante que alguém especificasse um projeto de médio ou grande porte e que os melhores de cada linguagem / framework fizesse a sua implementação. Aí sim, poderiamos ter uma comparação mais justa.

Gosto das duas linguagens (Python e Ruby), a documentação disponível para ambas é farta e muito boa, as comunidades são muito atenciosas e procuram de fato ajudar quem está iniciando ou tropeçando em algum problema.

Estou pensando até em desenvolver o meu projeto com os dois frameworks e ir comparando, de acordo com o progresso do trabalho, com qual dos dois está sendo mais legal trabalhar. Aí, a partir de um certo ponto, eu prosseguiria só com um.

O chato é que isso vai tomar um tempo muito grande.

É um mar de dúvidas. A única certeza: Quero que seja um destes dois frameworks. Alguém teria como me ajudar a decidir?